import { BasicSQL } from 'dt-sql-parser/dist/parser/common/basicSQL';
import { worker } from './fillers/monaco-editor-core';
import { Suggestions, ParseError, EntityContext } from 'dt-sql-parser';
import { Position } from './fillers/monaco-editor-core';
import { SemanticContext } from 'dt-sql-parser/dist/parser/common/types';
export interface ICreateData {
    languageId: string;
}
export declare abstract class BaseSQLWorker {
    protected abstract _ctx: worker.IWorkerContext;
    protected abstract parser: BasicSQL;
    protected keywords: string[];
    constructor(_ctx: worker.IWorkerContext, _createData: ICreateData);
    doValidation(code: string): Promise<ParseError[]>;
    parserTreeToString(code: string): Promise<string>;
    doCompletion(code: string, position: Position): Promise<Suggestions | null>;
    doCompletionWithEntities(code: string, position: Position): Promise<{
        suggestions: Suggestions | null;
        allEntities: EntityContext[] | null;
        context: SemanticContext | null;
    }>;
    getAllEntities(code: string, position?: Position): Promise<EntityContext[] | null>;
    private getTextDocument;
}
