import { BaseSQLWorker } from './baseSQLWorker';
import { Position, editor } from './fillers/monaco-editor-core';
export declare class LanguageService<T extends BaseSQLWorker = BaseSQLWorker> {
    private workerClients;
    valid(language: string, model: editor.IReadOnlyModel | string): Promise<import("dt-sql-parser").ParseError[]>;
    parserTreeToString(language: string, model: editor.IReadOnlyModel | string): Promise<string>;
    getAllEntities(language: string, model: editor.IReadOnlyModel | string, position?: Position): Promise<import("dt-sql-parser").EntityContext[] | null>;
    /**
     * Dispose a language service.
     * If the language is null, dispose all language services.
     */
    dispose(language?: string): void;
    private getClientWorker;
    private getLanguageServiceDefault;
}
