import { LanguageIdEnum } from './common/constants';
import { CompletionOptions, PreprocessCode } from './monaco.contribution';
export interface FeatureConfiguration {
    /**
     * Whether the built-in completionItemProvider is enabled.
     * Defaults to true.
     */
    completionItems?: boolean | Partial<CompletionOptions>;
    /**
     * Whether the built-in diagnostic provider is .
     * Defaults to true.
     */
    diagnostics?: boolean;
    /**
     * Defines whether the built-in definitions provider is enabled.
     */
    definitions?: boolean;
    /**
     * Defines whether the built-in references provider is enabled.
     */
    references?: boolean;
    /**
     * Define a function to preprocess code.
     * By default, do not something.
     */
    preprocessCode?: PreprocessCode | null;
}
export declare function setupLanguageFeatures(languageId: LanguageIdEnum, configuration: FeatureConfiguration): void;
